Loading...
Searching...
No Matches
BALL::VIEW::ServerPreferences Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/serverPreferences.h>`

Inheritance diagram for BALL::VIEW::ServerPreferences:

## Public Member Functions

Constructors
| ServerPreferences (QWidget *parent=NULL, const char *name=((String) tr("ServerPreferences")).c_str())
Destructors
virtual | ~ServerPreferences ()
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
virtual void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
virtual void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Accessors: inspectors and mutators

int | getPort ()
bool | getServerStatus ()

## Additional Inherited Members

Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Detailed Description

Preferences tab for the Server. It will be created by the Server object in the Server::initializePreferencesTab and will be inserted into the Preferences dialog by the MainControl. There are currently two settings: The port on which the data will be received and if the server will accept connections.
This is one of the view dialogs, that is not implemented by an ui-file!

Deprecated
  Use PyServer instead

Definition at line 37 of file serverPreferences.h.

## Constructor & Destructor Documentation

## ServerPreferences()

BALL::VIEW::ServerPreferences::ServerPreferences | ( | QWidget * | parent = NULL,
|  | const char * | name = ((String) tr("ServerPreferences")).c_str() )

Default Constructor. The attributs of this serverPreferences are:

- server port set to VIEW_DEFAULT_PORT
- server status set to not accept clients

## ~ServerPreferences()

virtual BALL::VIEW::ServerPreferences::~ServerPreferences | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## getPort()

int BALL::VIEW::ServerPreferences::getPort | ( |  | ) |

Access the port the Server tries to connect to.

Returns
  int the port number of this serverPreferences

## getServerStatus()

bool BALL::VIEW::ServerPreferences::getServerStatus | ( |  | ) |

Check the server status. If the server status is set to true than the Server will try to accepts clients. If set to false the Server will not accept clients.

Returns
  bool true the Server will try to accept clients, false the Server will not accept clients.